Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2021 01:32:18 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have placed and order on 6th March and I didn’t get the product. In fact I called two times and spend more time on following it up. And your colleagues said, they raised a complaint and still there is no response. Should I raise a complain to customer relations directly with landmark group. Anyhow now I am going to rate on social media for the very bad experience after raising the complaints and still no response. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2253712